Bug 59086 - .spec file in binutils-2.11.92.0.12-9.src.rpm has wrong %ifarch and also linker scripts aren't installed.
Summary: .spec file in binutils-2.11.92.0.12-9.src.rpm has wrong %ifarch and also link...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-30 19:17 UTC by Sergey Ostrovsky
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-01 21:42:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sergey Ostrovsky 2002-01-30 19:17:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; I; SunOS 5.7 sun4u)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

Comments to the patch in "Additional information"
1. When running rpmbuild -b ..... --target < anything but i386>,
   the patch2 isn't applied, which I _think_ is not what you wanted.
2. The point here is
    make ... tooldir=$RPM_BUILD_ROOT%{_prefix} .... install
    Without tooldir set in 'make install' ${tooldir}/lib/ldscripts will actually
be
    ${prefix}/${target_arch}/lib/ldscripts, and %files rules
    won't pick up the whole ldscripts directory. Check your
    binutils-2.11.92.0.12-9.i386.rpm files list.

Regards,

Sergey Ostrovsky.


Additional info:

--- binutils.spec.orig	Wed Jan 30 10:32:35 2002
+++ binutils.spec	Wed Jan 30 11:16:36 2002
@@ -47,7 +47,7 @@
 %prep
 %setup -q
 %patch1 -p0 -b .glibc21
-%ifarch i386 alpha ia64 sparc sparc64 s390 s390x ppc
+%ifarch %{ix86} alpha ia64 sparc sparc64 s390 s390x ppc
 %patch2 -p0 -b .combreloc-default
 %endif
 %patch3 -p0 -b .ia64unwind
@@ -76,8 +76,15 @@
 %install
 rm -rf ${RPM_BUILD_ROOT}
 mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
-%makeinstall
-make prefix=${RPM_BUILD_ROOT}%{_prefix} infodir=${RPM_BUILD_ROOT}%{_infodir}
install-info
+make	prefix=${RPM_BUILD_ROOT}%{_prefix} \
+	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
+	tooldir=$RPM_BUILD_ROOT%{_prefix} \
+	infodir=${RPM_BUILD_ROOT}%{_infodir} \
+	mandir=${RPM_BUILD_ROOT}%{_mandir} \
+	includedir=$RPM_BUILD_ROOT%{_prefix}/include \
+	libdir=$RPM_BUILD_ROOT%{_prefix}/lib \
+	bindir=$RPM_BUILD_ROOT%{_prefix}/bin \
+	install install-info
 strip ${RPM_BUILD_ROOT}%{_prefix}/bin/*
 gzip -q9f ${RPM_BUILD_ROOT}%{_infodir}/*.info*

Comment 1 Jakub Jelinek 2002-02-01 17:59:24 UTC
What do you need ldscripts for?
ld has them built in and can be dumped any time using --verbose.

Comment 2 Sergey Ostrovsky 2002-02-01 18:34:51 UTC
Uhm, well, I had no clue what I was talking about. I just noticed that binutils
installed from the tar ball have ldscripts dir, Suse not only has them but
additionally puts %^&$load of symlinks over it.
Thanks for the info.
2. I noticed something else in binutils.spec
# Binutils come with its own custom libtool
%define __libtoolize echo
a. Macro expansion happens on .spec file only.
b. It is not useful until the construct %__libtoolize is used.

Am I missing something ?



Comment 3 Sergey Ostrovsky 2002-02-01 21:41:56 UTC
Sorry. It's used in %configure.
Best regards.


Comment 4 Jakub Jelinek 2002-02-14 11:33:49 UTC
%{ix86} is in 2.11.93.0.2-2, I don't think we need to ship ldscripts.


Note You need to log in before you can comment on or make changes to this bug.